%global npm_name ini
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.3.8
Release: %mkrel 2
Summary: An ini encoder/decoder for node
License: ISC
Group: Development/Other
URL: https://github.com/isaacs/ini#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tar.gz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n %{npm_name}-%{version}

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr ini.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.3.8-2.mga9
+ Revision: 1820444
- Mageia 9 Mass Rebuild

* Fri Dec 25 2020 neoclust <neoclust> 1.3.8-1.mga8
+ Revision: 1663703
- New version 1.3.8

* Wed Feb 12 2020 umeabot <umeabot> 1.3.5-3.mga8
+ Revision: 1502831
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3.5-2.mga7
+ Revision: 1280513
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.3.5-1.mga7
+ Revision: 1225239
- imported package nodejs-ini

